Subject: Re: [PATCH v1 8/9] powerpc/powernv: Add OPAL support for Nest PMU

From: Madhavan Srinivasan <[email-masked]>
Date: Thu, 04 Jun 2015 15:56:44 +0530

On Wednesday 03 June 2015 06:24 AM, Daniel Axtens wrote:
>> +int64_t opal_nest_ima_control(uint32_t value);
> If I'm understanding things correctly, you call this function in patch
> 3. Quoting from that patch:
>> +static void nest_init(void *dummy)
>> +{
>> +       opal_nest_ima_control(P8_NEST_ENGINE_START);
>> +}
> Does this patch need to be moved earlier in the series?
I applied all the patches together and tested it since the Makefile 
inclusion is
the final patch in the series. I guess it is better rearrange the series.

> Have you tested that the series compiles at every point?
> (I've found that this can be done quite easily with
>   git rebase --interactive using x to run the compile)
Nice. will try this out.

Thanks for the review
Maddy

>> +
>>   /* Internal functions */
>>   extern int early_init_dt_scan_opal(unsigned long node, const char *uname,
>>   				   int depth, void *data);
>> diff --git a/arch/powerpc/platforms/powernv/opal-wrappers.S b/arch/powerpc/platforms/powernv/opal-wrappers.S
>> index a7ade94..ce36a68 100644
>> --- a/arch/powerpc/platforms/powernv/opal-wrappers.S
>> +++ b/arch/powerpc/platforms/powernv/opal-wrappers.S
>> @@ -295,3 +295,4 @@ OPAL_CALL(opal_i2c_request,			OPAL_I2C_REQUEST);
>>   OPAL_CALL(opal_flash_read,			OPAL_FLASH_READ);
>>   OPAL_CALL(opal_flash_write,			OPAL_FLASH_WRITE);
>>   OPAL_CALL(opal_flash_erase,			OPAL_FLASH_ERASE);
>> +OPAL_CALL(opal_nest_ima_control,		OPAL_NEST_IMA_CONTROL);